# Changing DB Instance Specifications

#### Function

This API is used to change DB instance specifications.

Services will be interrupted for 5 to 10 minutes when you change DB instance specifications. Exercise caution when performing this operation.

#### URI

- URI format

  PATH: /rds/v1/{project_id}/instances/{instanceId}/action

  Method: POST

- Parameter description

  Table 1 Parameter description
  Name | Mandatory | Description
  --- | --- | ---
  project_id | Yes | Specifies the project ID of a tenant in a region.
  instanceId | Yes | Specifies the primary node ID of the DB instance. NOTE: This field is not the DB instance ID. You are advised to use API v3 and the DB instance ID to perform related operations.

- Restrictions
  1. The new specifications cannot be the same as the original specifications.
  2. The instance class can be modified only for DB instances whose status is Available.

#### Request

- Parameter description

  Table 2 Parameter description
  Name | Type | Description
  --- | --- | ---
  resize | Dictionary data structure. For details, see Table 3. | Specifies the information about the returned parameter flavorRef.

  Table 3 resize field data structure description
  Name | Type | Description
  --- | --- | ---
  flavorRef | String | Specifies the specification ID (flavors.id in the response message in section Obtaining All DB Instance Specifications).

- Request example

      {
      "resize":{
      "flavorRef":"0d922098-553c-4123-80df-e627a1d41a0d"
      }
      }

#### Normal Response

- Parameter description

  Table 4 Parameter description
  Name | Type | Description
  --- | --- | ---
  jobId | List data structure | Indicates the jobId information.

- Response example

      {
      "jobId": [
      "ff8080815703e6de015703e98504001a"
      ]
      }

#### Abnormal Response

For details, see Abnormal Request Results.

Parent topic: DB Instance Management